Listing, Updating, and Deleting
Retrieve a specific tunneling policy by ID.
Path parameters
idinteger · int32Required
Tunneling policy Id
Responses
200
OK
application/json; api-version=1.0
Tunneling Policy
idinteger · int32Optional
ID of the object.
adminCreatestring · nullableOptional
User who created the object.
adminLastModstring · nullableOptional
User who last modified the object.
timeCreatestring · date-timeOptional
Time when the object was created.
timeLastModstring · date-timeOptional
Time when the object was last modified.
ipstring · nullableOptional
The gateway IP of the tunneling policy.
publishTypestring · enumOptionalPossible values:
RD session hosts options
rdsHostPoolIdsinteger · int32[] · nullableOptional
The IDs of the selected RD session host pools.
rdsHostIdsinteger · int32[] · nullableOptional
The IDs of the selected individual RD session hosts.
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get
/api/TunnelingPolicy/{id}Update tunneling policy settings.
Path parameters
idinteger · int32Required
Tunneling policy ID.
Body
Modify a tunneling policy
newIPstring · nullableOptional
The gateway IP of the tunneling policy to modify.
publishTypestring · enumOptionalPossible values:
RD session hosts options
rdsHostPoolIdsinteger · int32[] · nullableOptional
The IDs of the selected RD session host pools.
rdsHostIdsinteger · int32[] · nullableOptional
The IDs of the selected individual RD session hosts.
Responses
204
No Content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
put
/api/TunnelingPolicy/{id}No content